#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD8,0xEA,0xC4,0xF5,0xE4,0xB7,0x43,0x03,0x72,0x02,0x7F,0xE9,
		0xD4,0x04,0x6F,0xE5,0x15,0xBB,0x28,0xCD,0xA1,0x41,0x5D,0x84,
		0xB7,0x77,0x03,0x6B,0xD8,0x42,0x6A,0x23,0x58,0x27,0x14,0x97,
		0x76,0xD0,0x8E,0xAD,0xBE,0x66,0x7E,0xF5,0xE7,0xC6,0x98,0xC7,
		0x05,0x93,0xC8,0x62,0x79,0x3E,0xE7,0xAB,0x83,0xC3,0xEF,0x8B,
		0x06,0x73,0x1D,0xDB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
